Bug 581856 - [abrt] crash in calibre-0.6.42-1.fc12: crop.py:105:crop_pdf:TypeError: __init__() got an unexpected keyword argument 'title'
Summary: [abrt] crash in calibre-0.6.42-1.fc12: crop.py:105:crop_pdf:TypeError: __init...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ab2c3b83
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-13 12:36 UTC by Damien Grassart
Modified: 2010-06-21 13:12 UTC (History)
2 users (show)

Fixed In Version: calibre-0.6.55-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-21 13:12:52 UTC


Attachments (Terms of Use)
File: backtrace (44.26 KB, text/plain)
2010-04-13 12:36 UTC, Damien Grassart
no flags Details

Description Damien Grassart 2010-04-13 12:36:27 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /usr/bin/pdfmanipulate crop -o ProgrammingGroundUp-1-0-cropped.pdf -b bounding ProgrammingGroundUp-1-0-booksize.pdf
component: calibre
executable: /usr/bin/pdfmanipulate
kernel: 2.6.32.11-99.fc12.x86_64
package: calibre-0.6.42-1.fc12
reason: crop.py:105:crop_pdf:TypeError: __init__() got an unexpected keyword argument 'title'
release: Fedora release 12 (Constantine)

comment
-----
The book I was using can be downloaded at http://savannah.nongnu.org/files/?group=pgubook

How to reproduce
-----
1. Have Ghostscript analyze pdf bounding box:
$ gs -dSAFER -dNOPAUSE -dBATCH -sDEVICE=bbox ProgrammingGroundUp-1-0-booksize.pdf 2> bounding

2. Use pdfmanipulate to crop the pages using the 'bounding' output from above command:
$ pdfmanipulate crop -o ProgrammingGroundUp-1-0-cropped.pdf -b bounding ProgrammingGroundUp-1-0-booksize.pdf

Comment 1 Damien Grassart 2010-04-13 12:36:30 UTC
Created attachment 406225 [details]
File: backtrace

Comment 2 Fedora Admin XMLRPC Client 2010-05-13 04:25:30 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Kevin Fenzi 2010-05-23 20:52:31 UTC
Greetings.

I have created a test build of the latest calibre version for Fedora 12.

Can you please update from:             
http://koji.fedoraproject.org/koji/taskinfo?taskID=2204259

And see if you can reproduce this bug?

Comment 4 Fedora Update System 2010-05-29 22:15:41 UTC
calibre-0.6.55-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 5 Fedora Update System 2010-05-31 18:14:45 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 6 pankaj pandey 2010-06-06 08:52:49 UTC
Package: calibre-0.6.42-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. pdfmanipulate crop -o outfile.pdf infile.pdf
2.
3.

Comment 7 Fedora Update System 2010-06-21 13:11:20 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.